public inbox for development@lists.ipfire.org
 help / color / mirror / Atom feed
* [PATCH] make.sh: SIGKILL and SIGSTOP cannot be trapped
@ 2022-02-16 17:24 Peter Müller
  2022-02-16 17:25 ` Michael Tremer
  0 siblings, 1 reply; 4+ messages in thread
From: Peter Müller @ 2022-02-16 17:24 UTC (permalink / raw)
  To: development

[-- Attachment #1: Type: text/plain, Size: 632 bytes --]

There is no sense in instructing "trap" to catch signals it cannot trap
whatsoever.

Signed-off-by: Peter Müller <peter.mueller(a)ipfire.org>
---
 make.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/make.sh b/make.sh
index 4dd068e4b..c06b4ec38 100755
--- a/make.sh
+++ b/make.sh
@@ -437,7 +437,7 @@ prepareenv() {
 	fi
 
 	# Trap on emergency exit
-	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGKILL SIGSTOP SIGQUIT
+	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGQUIT
 
 	# Checking if running as root user
 	if [ $(id -u) -ne 0 ]; then
-- 
2.34.1

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH] make.sh: SIGKILL and SIGSTOP cannot be trapped
  2022-02-16 17:24 [PATCH] make.sh: SIGKILL and SIGSTOP cannot be trapped Peter Müller
@ 2022-02-16 17:25 ` Michael Tremer
  2022-02-16 17:27   ` Peter Müller
  0 siblings, 1 reply; 4+ messages in thread
From: Michael Tremer @ 2022-02-16 17:25 UTC (permalink / raw)
  To: development

[-- Attachment #1: Type: text/plain, Size: 845 bytes --]

Hello,

Is this a cosmetic change or does this fix a real world problem?

-Michael

> On 16 Feb 2022, at 17:24, Peter Müller <peter.mueller(a)ipfire.org> wrote:
> 
> There is no sense in instructing "trap" to catch signals it cannot trap
> whatsoever.
> 
> Signed-off-by: Peter Müller <peter.mueller(a)ipfire.org>
> ---
> make.sh | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/make.sh b/make.sh
> index 4dd068e4b..c06b4ec38 100755
> --- a/make.sh
> +++ b/make.sh
> @@ -437,7 +437,7 @@ prepareenv() {
> 	fi
> 
> 	# Trap on emergency exit
> -	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGKILL SIGSTOP SIGQUIT
> +	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGQUIT
> 
> 	# Checking if running as root user
> 	if [ $(id -u) -ne 0 ]; then
> -- 
> 2.34.1


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH] make.sh: SIGKILL and SIGSTOP cannot be trapped
  2022-02-16 17:25 ` Michael Tremer
@ 2022-02-16 17:27   ` Peter Müller
  2022-02-16 17:29     ` Michael Tremer
  0 siblings, 1 reply; 4+ messages in thread
From: Peter Müller @ 2022-02-16 17:27 UTC (permalink / raw)
  To: development

[-- Attachment #1: Type: text/plain, Size: 1174 bytes --]

Hello Michael,

rather cosmetic. shellcheck complains about this, and I was wondering why
a SIGSTOP'ed build caused my workstation to malfunction until a reboot the
other way.

The current "trap" command just arises false expectations... :-)

Thanks, and best regards,
Peter Müller

> Hello,
> 
> Is this a cosmetic change or does this fix a real world problem?
> 
> -Michael
> 
>> On 16 Feb 2022, at 17:24, Peter Müller <peter.mueller(a)ipfire.org> wrote:
>>
>> There is no sense in instructing "trap" to catch signals it cannot trap
>> whatsoever.
>>
>> Signed-off-by: Peter Müller <peter.mueller(a)ipfire.org>
>> ---
>> make.sh | 2 +-
>> 1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> diff --git a/make.sh b/make.sh
>> index 4dd068e4b..c06b4ec38 100755
>> --- a/make.sh
>> +++ b/make.sh
>> @@ -437,7 +437,7 @@ prepareenv() {
>> 	fi
>>
>> 	# Trap on emergency exit
>> -	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGKILL SIGSTOP SIGQUIT
>> +	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGQUIT
>>
>> 	# Checking if running as root user
>> 	if [ $(id -u) -ne 0 ]; then
>> -- 
>> 2.34.1
> 

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PATCH] make.sh: SIGKILL and SIGSTOP cannot be trapped
  2022-02-16 17:27   ` Peter Müller
@ 2022-02-16 17:29     ` Michael Tremer
  0 siblings, 0 replies; 4+ messages in thread
From: Michael Tremer @ 2022-02-16 17:29 UTC (permalink / raw)
  To: development

[-- Attachment #1: Type: text/plain, Size: 1419 bytes --]

Okay. Thank you for the explanation.

Reviewed-by: Michael Tremer <michael.tremer(a)ipfire.org>

> On 16 Feb 2022, at 17:27, Peter Müller <peter.mueller(a)ipfire.org> wrote:
> 
> Hello Michael,
> 
> rather cosmetic. shellcheck complains about this, and I was wondering why
> a SIGSTOP'ed build caused my workstation to malfunction until a reboot the
> other way.
> 
> The current "trap" command just arises false expectations... :-)
> 
> Thanks, and best regards,
> Peter Müller
> 
>> Hello,
>> 
>> Is this a cosmetic change or does this fix a real world problem?
>> 
>> -Michael
>> 
>>> On 16 Feb 2022, at 17:24, Peter Müller <peter.mueller(a)ipfire.org> wrote:
>>> 
>>> There is no sense in instructing "trap" to catch signals it cannot trap
>>> whatsoever.
>>> 
>>> Signed-off-by: Peter Müller <peter.mueller(a)ipfire.org>
>>> ---
>>> make.sh | 2 +-
>>> 1 file changed, 1 insertion(+), 1 deletion(-)
>>> 
>>> diff --git a/make.sh b/make.sh
>>> index 4dd068e4b..c06b4ec38 100755
>>> --- a/make.sh
>>> +++ b/make.sh
>>> @@ -437,7 +437,7 @@ prepareenv() {
>>> 	fi
>>> 
>>> 	# Trap on emergency exit
>>> -	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGKILL SIGSTOP SIGQUIT
>>> +	trap "exiterror 'Build process interrupted'" SIGINT SIGTERM SIGQUIT
>>> 
>>> 	# Checking if running as root user
>>> 	if [ $(id -u) -ne 0 ]; then
>>> -- 
>>> 2.34.1
>> 


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2022-02-16 17:29 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-02-16 17:24 [PATCH] make.sh: SIGKILL and SIGSTOP cannot be trapped Peter Müller
2022-02-16 17:25 ` Michael Tremer
2022-02-16 17:27   ` Peter Müller
2022-02-16 17:29     ` Michael Tremer

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox